Loading...
Searching...
No Matches
openshot::FrameData Struct Reference

`#include <CVTracker.h>`

## Public Member Functions

| FrameData ()
| FrameData (size_t _frame_id)
| FrameData (size_t _frame_id, float _rotation, float _x1, float _y1, float _x2, float _y2)

## Public Attributes

size_t | frame_id = -1
float | rotation = 0
float | x1 = -1
float | x2 = -1
float | y1 = -1
float | y2 = -1

## Detailed Description

Definition at line 45 of file CVTracker.h.

## Constructor & Destructor Documentation

## FrameData() [1/3]

openshot::FrameData::FrameData | ( |  | ) |

inline

Definition at line 54 of file CVTracker.h.

## FrameData() [2/3]

openshot::FrameData::FrameData | ( | size_t | _frame_id | ) |

inline

Definition at line 57 of file CVTracker.h.

## FrameData() [3/3]

openshot::FrameData::FrameData | ( | size_t | _frame_id,
|  | float | _rotation,
|  | float | _x1,
|  | float | _y1,
|  | float | _x2,
|  | float | _y2 )

inline

Definition at line 60 of file CVTracker.h.

## Member Data Documentation

## frame_id

size_t openshot::FrameData::frame_id = -1

Definition at line 46 of file CVTracker.h.

Referenced by openshot::CVTracker::AddFrameDataToProto(), FrameData(), and FrameData().

## rotation

float openshot::FrameData::rotation = 0

Definition at line 47 of file CVTracker.h.

Referenced by FrameData().

## x1

float openshot::FrameData::x1 = -1

Definition at line 48 of file CVTracker.h.

Referenced by openshot::CVTracker::AddFrameDataToProto(), and FrameData().

## x2

float openshot::FrameData::x2 = -1

Definition at line 50 of file CVTracker.h.

Referenced by openshot::CVTracker::AddFrameDataToProto(), and FrameData().

## y1

float openshot::FrameData::y1 = -1

Definition at line 49 of file CVTracker.h.

Referenced by openshot::CVTracker::AddFrameDataToProto(), and FrameData().

## y2

float openshot::FrameData::y2 = -1

Definition at line 51 of file CVTracker.h.

Referenced by openshot::CVTracker::AddFrameDataToProto(), and FrameData().

The documentation for this struct was generated from the following file:

- CVTracker.h